Skip to main content

Update jre accoring to Applet version

1 reply [Last post]
abhisheks
Offline
Joined: 2006-02-14

Hi All,

My applet is using jre 1.4.2,

Please give me the solution that if there is a lower jre version is installed on client system. How i provide the auto update facility on browser.

Thanks

Reply viewing options

Select your preferred way to display the comments and click "Save settings" to activate your changes.
miker
Offline
Joined: 2006-01-06

Auto-download is explained here:

http://forum.java.sun.com/thread.jspa?threadID=704112&messageID=4082098#...

You need to read the first part that describes plugin auto-download. This points you to other documentation that describes how to setup JavaScripts that will check a user's Java version and then either deploy your applet, or start the auto-download first.

(Note: this is currently limited to IE.)

Mike.